SDL_LinuxSetThreadPriorityAndPolicy(3)

NAME
SDL_LinuxSetThreadPriorityAndPolicy - Sets the priority (not nice level) and scheduling policy for a thread.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_LinuxSetThreadPriorityAndPolicy(Sint64 threadID, int sdlPriority, int schedPolicy);

DESCRIPTION
This uses setpriority() if possible, and RealtimeKit if available.

FUNCTION PARAMETERS

threadID
    The Unix thread ID to change priority of.

sdlPriority
    The new SDL_ThreadPriority
     value.

schedPolicy
    The new scheduling policy (SCHED_FIFO, SCHED_RR, SCHED_OTHER, etc...)

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.